@mixin btn-to-vars($property, $color) {
  --bs-btn-color: var(--bs-white);
  --bs-btn-bg: var(--bs-#{$property});
  --bs-btn-border-color: var(--bs-#{$property});
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: var(--bs-#{$property}-shade-300, rgba(var(--bs-#{$color}-600-rgb), 1));
  --bs-btn-hover-border-color: var(--bs-#{$property}-shade-200, rgba(var(--bs-#{$color}-700-rgb), 1));
  --bs-btn-focus-shadow-rgb: 87, 121, 215;
  --bs-btn-active-color: var(--bs-white);
  --bs-btn-active-bg: var(--bs-#{$property}-shade-200);
  --bs-btn-active-border-color: var(--bs-#{$property}-shade-100, rgba(var(--bs-#{$color}-800-rgb), 1));
  --bs-btn-disabled-color: var(--bs-white);
  --bs-btn-disabled-bg: var(--bs-#{$property});
  --bs-btn-disabled-border-color: var(--bs-#{$property});
}

.btn-primary {
  @include btn-to-vars(primary, blue);
}

.btn-secondary {
  @include btn-to-vars(secondary, gray);
}

.btn-success {
  @include btn-to-vars(success, green);
}

.btn-danger {
  @include btn-to-vars(danger, red);
}

.btn-warning {
  @include btn-to-vars(warning, yellow);
}

.btn-info {
  @include btn-to-vars(info, cyan);
}

a {
  color: rgba(var(--bs-blue-500-rgb), 1);

  &:hover {
    color: rgba(var(--bs-blue-700-rgb), 1);
  }

  &:active {
    color: rgba(var(--bs-blue-900-rgb), 1);
  }
}